/*  This program reads in a file of integers and reports their average.
    Currently, the name of the file is "nums1.txt" and it must reside in the
    directory as the program.
    
    Assumes:  there is NOT a number on the first line of the file saying how many data
    items are in the file.
  
    written by Scott McElfresh
*/

import java.io.*;  // for file I/O

public class Application 
{      
    public static void main(String[] args) throws IOException
	{  
	   String Filename = "nums1.txt";
	   
	    
	   FileReader textfile = new FileReader(Filename);
	   BufferedReader datafile = new BufferedReader(textfile);
	   
	   
	   double sum = 0;  // the sum of the numbers entered so far
	   int howmanysofar = 0;  // how many numbers have been read so far.


	  while (datafile.ready())  // file is ready to give us more data
       {
			String theline = datafile.readLine();
	        int num = Integer.parseInt(theline);
	        howmanysofar ++;
			sum = sum + num;
	   }


	   System.out.println ("The average is: " + (sum / howmanysofar));
	   
	   datafile.close();  // be a good citizen and close the file
	}

}
